/***********************************************************
*  File:     RealGoodTimingDlg.h
*
*  Author:   Michael Kennedy
*  Email:    mkennedy@math.ucsd.edu
*  WWW:      http://math.ucsd.edu/~mkennedy/software
*
*  Date:     Created on 7/12/00
*
*  Purpose:  To demonstrate the CCPUTicker Class by Naughter 
*            and McGuiness - See CPUTicker.h for details.
*
*************************************************************/


#if !defined(AFX_REALGOODTIMINGDLG_H__A76C96C5_5787_11D4_91E4_0050DA08DDC7__INCLUDED_)
#define AFX_REALGOODTIMINGDLG_H__A76C96C5_5787_11D4_91E4_0050DA08DDC7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\CPUTicker.h"

/////////////////////////////////////////////////////////////////////////////
// CRealGoodTimingDlg dialog

class CRealGoodTimingDlg : public CDialog
{
// Construction
public:
	CRealGoodTimingDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRealGoodTimingDlg)
	enum { IDD = IDD_REALGOODTIMING_DIALOG };
	CString	m_DT;
	CString	m_sMessages;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRealGoodTimingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	BOOL m_bCounting;
	BOOL m_bInitializedTimers;
	
	CCPUTicker m_Counter;
	unsigned __int64 m_nStartTick;

	//{{AFX_MSG(CRealGoodTimingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonStopCount();
	afx_msg void OnButtonInitialize();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REALGOODTIMINGDLG_H__A76C96C5_5787_11D4_91E4_0050DA08DDC7__INCLUDED_)
