#include "stdafx.h"
#include "ticktest.h"
#include "cputicker.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CTickTestApp, CWinApp)
	//{{AFX_MSG_MAP(CTickTestApp)
	//}}AFX_MSG
END_MESSAGE_MAP()

CTickTestApp::CTickTestApp()
{
}

CTickTestApp theApp;

BOOL CTickTestApp::InitInstance()
{
  CCPUTicker counter;

  //Warn that program may look like it has hung while running
  if (AfxMessageBox(_T("This program will appear to hang for up to 2 seconds while determining CPU speed\nThis is normal behaviour, Continue?"), MB_YESNO) == IDYES)
  {
    //perform the test
    unsigned __int64 nStartTick = counter.Measure();
    Sleep(1000);
    unsigned __int64 nEndTick = counter.Measure();

    //Display the results
    CString sMsg;
    sMsg.Format(_T("Sleep(1000) really sleeped for %f seconds and the computer has been running for %f seconds"), CCPUTicker::GetTickCountAsSeconds(nEndTick - nStartTick), CCPUTicker::GetTickCountAsSeconds(nEndTick));
    AfxMessageBox(sMsg);

    double dFrequency;
    double dAverageDeviation;  
    counter.GetCachedCPUFrequency(dFrequency, dAverageDeviation);

    sMsg.Format(_T("The calculated frequency of the processor during this run is %0.0f Mhz, Average Deviation is %0.0f MHz"), dFrequency/1000000, dAverageDeviation/1000000);
    AfxMessageBox(sMsg);
  }

	return FALSE;
}
